<template>
	<view>
		<u-parse :content="content" class="content"></u-parse>
		<view class="mfooter">
			<view class="flex">
				<view class="f">
					<button class="btn" @click="back()">我已知晓并同意</button>
				</view>
			</view>
		</view>
	</view>
</template>
<script>
export default {
	data() {
		return {
			content: ''
		};
	},
	onLoad(e) {
		if (e.id) {
			this.http.request({
				url: '/level-one-server/app/TbAgreement/getById?id=' + e.id,
				success: res => {
					this.content = res.data.data.content;
					uni.setNavigationBarTitle({ title: res.data.data.type });
				}
			});
		}
	},
	methods: {
		back() {
			uni.navigateBack();
		}
	}
};
</script>

<style lang="scss">
.content {
	padding: 18px 18px 90px 18px;
}
</style>
